Bug 100473 - anaconda crashes before fdisk, ide-enclosure-usb
anaconda crashes before fdisk, ide-enclosure-usb
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-07-22 15:31 EDT by shrek-m
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-14 12:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump.txt (19.96 KB, text/plain)
2003-07-22 15:32 EDT, shrek-m
no flags Details

  None (edit)
Description shrek-m 2003-07-22 15:31:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
while harddisk-installation from an external ide-enclosure-usb
anaconda crashes before fdsik can be run

Version-Release number of selected component (if applicable):
severn beta1

How reproducible:

Steps to Reproduce:
1. floppy boot
2. [enter]
3. german harddisk-install ide-enclosure-usb

Actual Results:  crash before fdisk

Expected Results:  no crash

Additional info:

later under rh 8.0 (i have no severn-1386-disc3.iso just now)
# mount /dev/sda3 /mnt/sda3

# fsck.ext3 /dev/sda3
e2fsck 1.27 (8-Mar-2002)
/dev/sda3: clean, 13/6979584 files, 557361/13948436 blocks

# md5sum -c MD5SUM
severn-i386-disc1.iso: Ok
severn-i386-disc2.iso: Ok
Comment 1 shrek-m 2003-07-22 15:32:59 EDT
Created attachment 93056 [details]
Comment 2 shrek-m 2003-07-22 17:34:35 EDT
after moving the severn-i386-disc[12].iso from '/dev/sda3' to '/dev/hdb4'
fdisk (diskdruid) works now, but "sda" is lost :-(

while choosing the severn-iso - partitions "sda*" are shown
but diskdruid shows only "hda" "hdb"

the next brake will be "there is no cd #3"
Comment 3 Michael Fulbright 2003-07-29 16:05:27 EDT
Do you have any other SCSi drives on the system?
Comment 4 shrek-m 2003-07-29 17:58:59 EDT
no  :(

perhaps  hdd=ide-scsi

grep "hdd" anacdump.txt

<6>    ide1: BM-DMA at 0xe808-0xe80f, BIOS settings: hdc:DMA, hdd:DMA
<4>hdd: attached ide-cdrom driver.
<6>hdd: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache, DMA
* trying to mount device hdd
Comment 5 Michael Fulbright 2003-08-11 16:45:58 EDT
Try adding 'expert' to the boot command line.

We basically throw out USB HD devices in the installer since we don't want
people installing to them (this just causes more trouble later). If you specify
'expert' then we allow them.
Comment 6 Michael Fulbright 2003-08-11 16:56:21 EDT
BTW - BE SURE to deselect the USB HD from the list of drives that automatic
partitioning uses or it could possibly erase the contents of the USB drive!
Comment 7 shrek-m 2003-08-13 05:40:35 EDT
"linux expert"   ok :-)

the usb-ide-hd sda3 is now available for further hd-iso-installation
while and after the partitioning --> no_crash


your info about the usb-storage-devices should be available via
[F2-Options]  or  [F3-General]

about partitioning:
i choose manual-partitioning,
  the new created partition " / hda5"
  and the existing "swap"-partition
are selected for formatting, this is ok,
i deselect the swap
--> no problems
Comment 8 Michael Fulbright 2003-08-14 12:40:44 EDT
Well expert mode has changed its meaning over time, and we've never been
comfortable documenting its behavior.  Its there as a 'relief valve' if someone
runs into a problem like you did.  It really is not recommended or supported to
create filesystems in anaconda on removable media.

Note You need to log in before you can comment on or make changes to this bug.